TEXI2ANY(1)

BEZEICHNUNG
texi2any - Texinfo-Dokumente umwandeln

ÜBERSICHT
makeinfo [OPTION] … TEXINFO-DATEI …

BESCHREIBUNG
Wandelt die Texinfo-Quelldokumentation in verschiedene andere Formate um, standardmäßig in Info-Dateien, die online mit Emacs oder dem selbstständigen GNU Info gelesen werden können.

Dieses Programm wird üblicherweise parallel als »makeinfo« und »texi2any« installiert; das Verhalten ist identisch und nicht vom installierten Namen abhängig.

  Allgemeine Optionen:

--document-language=ZEICHENKETTE für die Übersetzung der Texinfo-Schlüsselwörter zu verwendende Locale,
    wenn das Dokument ausgegeben wird (standardmäßig C).

--error-limit=ANZAHL
    beendet nach der angegebenen ANZAHL Fehler (standardmäßig 100).

--force
    behält die Ausgabe selbst dann, wenn Fehler auftreten.

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--no-validate
    unterdrückt die Validierung der Querverweisknoten.

--no-warn
    unterdrückt Warnungen (aber keine Fehler).

--conf-dir=VERZEICHNIS
    sucht auch im angegebenen VERZEICHNIS nach Initialisierungsdateien.

--init-file=DATEI
    lädt die angegebene DATEI, um das Standardverhalten anzupassen.

-c, --set-customization-variable VARIABLE=WERT
    setzt die Anpassungs-VARIABLE auf den angegebenen WERT.

-v, --verbose
    erklärt, was geschieht.

--version
    zeigt Versionsinformationen an und beendet das Programm.

  Auswahl des Ausgabeformats (Standardformat ist info):

--docbook
    gibt Docbook XML aus.

--html
    gibt HTML aus.

--epub3
    gibt EPUB 3 aus.

--latex
    gibt LaTeX aus.

--plaintext
    gibt einfachen Text anstatt Info aus.

--xml
    gibt Texinfo XML.

--dvi, --dvipdf, --ps, --pdf
    ruft text2dvi auf, um die Ausgabe zu erzeugen, nachdem die Validität der TEXINFO-DATEI überprüft wurde.

  Allgemeine Ausgabeoptionen:

-E, --macro-expand=DATEI
    gibt den Quelltext mit expandierten Makros in die angegebene DATEI aus, wobei eventuell angegebene @setfilename ignoriert werden.

--no-headers
    unterdrückt Knotentrenner, »Node:«-Zeilen und Menüs in der Info-Ausgabe (und erzeugt damit einfachen Text) oder in der HTML-Ausgabe (und verkürzt die Ausgabe dadurch). Außerdem wird die Info-Ausgabe standardmäßig in die Standardausgabe geschrieben.

--no-split
    unterdrückt jegliche Teilung der Ausgabe; erzeugt nur eine Ausgabedatei.

--[no-]number-sections
    gibt Kapitel- und Abschnittsnummerierungen aus; dies ist standardmäßig aktiviert.

-o, --output=ZIEL
    schreibt die Ausgabe in das angegebene ZIEL. Beim Teilen der Ausgabe wird das ZIEL als Verzeichnis erstellt und die Ausgabedateien dort abgelegt. Bei ungeteilter Ausgabe und falls das ZIEL bereits ein Verzeichnis ist oder mit einem / endet, wird die Ausgabedatei dort abgelegt. Anderenfalls benennt das ZIEL die Ausgabedatei.

--disable-encoding
    gibt in der Info- und reinen Text-Ausgabe keine akzentuierten und speziellen Zeichen basierend auf der Dokumentkodierung aus.

--enable-encoding
    setzt --disable-encoding außer Kraft (die Vorgabe).

  Optionen für Info und einfachen Text:

--fill-column=ANZAHL
    bricht Info-Zeilen bei der angegebenen ANZAHL Spalten um (Vorgabe ist 72).

--footnote-style=STIL
    schreibt Fußnoten in der Info-Ausgabe entsprechend STIL: Geben Sie »separate« an, um diese in ihren eigenen Knoten zu schreiben; »end«, um sie an das Ende des Knotens zu setzen, in welchem sie definiert sind (dies ist die Vorgabe).

--paragraph-indent=ANZAHL
    rückt Info-Absätze um die angegebene ANZAHL Zeichen ein (standardmäßig 3). Falls die ANZAHL »none« ist, wird nicht eingerückt; falls die ANZAHL »asis« ist, bleibt die vorhandene Einrückung erhalten.

--split-size=GRÖSSE
    teilt Info-Dateien an der angegebenen GRÖSSE (standardmäßig 300000).

  Optionen für HTML:

--css-include=DATEI
    bezieht die angegebene DATEI in die <style>-Ausgabe in HTML ein. Wenn statt der DATEI ein Bindestrich (-) angegeben ist, wird aus der Standardeingabe gelesen.

--css-ref=URL
    erzeugt eine CSS-Referenz zur angegebenen URL.

--internal-links=DATEI
    erzeugt eine Liste der internen Links in der angegebenen DATEI.

--split=POSITION
    teilt an der angegebenen POSITION, wobei als POSITION »chapter«, »section« oder »node« angegeben werden kann.

--transliterate-file-names
    verwendet Dateinamen in ASCII-Transliteration.

--node-files
    erzeugt Umleitungsdateien für Knoten und Anker. Standardmäßig werden diese nur dann erzeugt, wenn die Ausgabe geteilt wird.

  Optionen für DVI/PS/PDF:

--Xopt=OPTION
    übergibt die angegebene OPTION an texi2dvi; kann mehrfach angegeben werden.

  Optionen für Eingabedateien:

-D VARIABLE
    definiert die angegebene VARIABLE wie mit @set.

-D 'VARIABLE WERT'
    setzt die VARIABLE auf WERT (ein Shell-Argument).

-I VERZEICHNIS
    hängt das angegebene VERZEICHNIS an den @include-Suchpfad an.

-P VERZEICHNIS
    stellt das angegebene VERZEICHNIS dem @include-Suchpfad voran.

-U VARIABLE
    definiert die angegebene VARIABLE wie mit @clear.

  Bedingte Verarbeitung in der Eingabe:

--ifdocbook
    verarbeitet @ifdocbook und @docbook selbst dann, wenn kein Docbook erzeugt wird.

--ifhtml
    verarbeitet @ifhtml und @html selbst dann, wenn kein HTML erzeugt wird.

--ifinfo
    verarbeitet @ifinfo selbst dann, wenn nicht im Info-Format ausgegeben wird.

--iflatex
    verarbeitet @iflatex und @latex.

--ifplaintext
    verarbeitet @ifplaintext selbst dann, wenn kein einfacher Text ausgegeben wird.

--iftex
    verarbeitet @iftex und @tex.

--ifxml
    verarbeitet @ifxml und @xml.

--no-ifdocbook
    verarbeitet keinen @ifdocbook- und @docbook-Text.

--no-ifhtml
    verarbeitet keinen @ifhtml- und @html-Text.

--no-ifinfo
    verarbeitet keinen @ifinfo-Text.

--no-iflatex
    verarbeitet keinen @iflatex- und @latex-Text.

--no-ifplaintext
    verarbeitet keinen @ifplaintext-Text.

--no-iftex
    verarbeitet keinen @iftex- und @tex-Text.

--no-ifxml
    verarbeitet keinen @ifxml- und @xml-Text.

Außerdem wird für die --no-ifFORMAT-Optionen kein @ifnotFORMAT-Text verarbeitet.

Die Vorgaben für die @if…-Bedingungen sind vom Ausgabeformat abhängig: Wenn Sie Docbook erzeugen, ist --ifdocbook aktiv; beim Erzeugen von HTML ist --ifhtml aktiv; bei der Info-Erzeugung ist --ifinfo aktiv; beim Erzeugen von einfachem Text ist --ifplaintext aktiv; bei LaTeX ist --ifplaintext aktiv; bei XML ist --ifxml aktiv. Die jeweils anderen Bedingungen sind deaktiviert.

BEISPIELE

makeinfo foo.texi
    schreibt den Info-Anteil in das mit @setfilename definierte Ziel.

makeinfo --html foo.texi
    schreibt HTML in das mit @setfilename definierte Ziel.

makeinfo --xml foo.texi
    schreibt Texinfo XML in das mit @setfilename definierte Ziel.

makeinfo --docbook foo.texi
    schreibt Docbook XML in das mit @setfilename definierte Ziel.

makeinfo --plaintext foo.texi
    schreibt einfachen Text in die Standardausgabe.

makeinfo --pdf foo.texi
    schreibt PDF mittels texi2dvi(1).

makeinfo --html --no-headers foo.texi
    schreibt HTML ohne Knotenzeilen und Menüs.

makeinfo --number-sections foo.texi
    schreibt den Info-Anteil mit nummerierten Abschnitten.

makeinfo --no-split foo.texi
    schreibt eine Info-Datei, egal wie groß diese wird.

FEHLER MELDEN
Senden Sie Fehlerberichte (auf Englisch) an bug-texinfo@gnu.org, allgemeine Fragen und Diskussionen an help-texinfo@gnu.org.
Texinfo-Website: http://www.gnu.org/software/texinfo/

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für texi2any wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und texi2any auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info texi2any

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).